Autor Tópico: Problema com apt-get update [Resolvido]  (Lida 36791 vezes)

Offline vicktorjunior

  • Usuário Ubuntu
  • *
  • Mensagens: 46
  • Um ex-windows user, tentando viver no mundo "open"
    • Ver perfil
Re: Problema com apt-get update
« Resposta #60 Online: 28 de Outubro de 2013, 17:04 »
Esse é o resultado:

Citar
2.6.38-11-generic-pae
Não me siga, estou perdido.

Offline selvaking

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.162
  • Parque Anchieta - Rio de Janeiro - RJ
    • Ver perfil
Re: Problema com apt-get update
« Resposta #61 Online: 28 de Outubro de 2013, 17:06 »
Selvaking,

Tenho essa resposta ao executar seu comandão:

Citar
bash: /etc/apt/sources.list.d/virtualbox.list: Permissão negada

E agora?

Vc retirou o comando "sudo" da frente?
Dê-me um computador com o Tux que movo o mundo!

Linux User #323049

Offline vicktorjunior

  • Usuário Ubuntu
  • *
  • Mensagens: 46
  • Um ex-windows user, tentando viver no mundo "open"
    • Ver perfil
Re: Problema com apt-get update
« Resposta #62 Online: 28 de Outubro de 2013, 17:07 »
Selvaking,

Não.
Inclusive eu repeti o comando 2 vezes para ter certeza. Com o sudo na frente.
Não me siga, estou perdido.

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Problema com apt-get update
« Resposta #63 Online: 28 de Outubro de 2013, 17:08 »
Esse é o resultado:

Citar
2.6.38-11-generic-pae
é o comando:

sudo apt-get install linux-headers-2.6.38-11-generic-pae


não funciona?
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline Arthur Bernardes

  • Usuário Ubuntu
  • *
  • Mensagens: 4.692
    • Ver perfil
Re: Problema com apt-get update
« Resposta #64 Online: 28 de Outubro de 2013, 17:11 »
Como assim seu Ubuntu 12.04 está com kernel 2.6? Tem certeza que é Ubuntu 12.04?

Execute e cole aqui pra gente.

Código: ($) [Selecionar]
lsb_release -a
cat /etc/issue

Offline vicktorjunior

  • Usuário Ubuntu
  • *
  • Mensagens: 46
  • Um ex-windows user, tentando viver no mundo "open"
    • Ver perfil
Re: Problema com apt-get update
« Resposta #65 Online: 28 de Outubro de 2013, 17:12 »
Linsuser,

Não, o comando não funciona.
Dá aquela resposta que informei.

Arthur,

Citar
junior@Junior:~$ lsb_release -a
LSB Version:   core-2.0-ia32:core-2.0-noarch:core-3.0-ia32:core-3.0-noarch:core-3.1-ia32:core-3.1-noarch:core-3.2-ia32:core-3.2-noarch:core-4.0-ia32:core-4.0-noarch
Distributor ID:   Ubuntu
Description:   Ubuntu 12.04.3 LTS
Release:   12.04
Codename:   precise
junior@Junior:~$ cat /etc/issue
Ubuntu 12.04.3 LTS \n \l

E agora? ;/
Não me siga, estou perdido.

Offline linuser104

  • Usuário Ubuntu
  • *
  • Mensagens: 838
    • Ver perfil
Re: Problema com apt-get update
« Resposta #66 Online: 28 de Outubro de 2013, 17:14 »
acho melhor você fazer um:

sudo apt-get update
sudo apt-get upgrade


antes de qualquer coisa.

Realmente é estranho pois acho que no Ubuntu 12.04 o kernel já era da versão 3.2.x e não 2.6 ainda.

===Editado===

Ou melhor, mostrar a sua sources.list aqui.
« Última modificação: 28 de Outubro de 2013, 17:26 por linuser104 »
Linux = Quem realmente gosta de computador; Mac = Artista Digital; Windows = A maioria que votou no Tiririca [pior que tá não fica].

Offline selvaking

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 1.162
  • Parque Anchieta - Rio de Janeiro - RJ
    • Ver perfil
Re: Problema com apt-get update
« Resposta #67 Online: 28 de Outubro de 2013, 17:21 »
Realmente aquele comando dava erro. Não foi testado antes. Este abaixo foi:

Código: [Selecionar]
echo "deb http://download.virtualbox.org/virtualbox/debian $(lsb_release -sc) contrib" | sudo tee /etc/apt/sources.list.d/virtualbox.list && wget -q http://download.virtualbox.org/virtualbox/debian/oracle_vbox.asc -O- | sudo apt-key add - && sudo apt-get update && sudo apt-get install virtualbox-4.3
Dê-me um computador com o Tux que movo o mundo!

Linux User #323049

Offline platao

  • Equipe Ubuntu
  • Usuário Ubuntu
  • *****
  • Mensagens: 5.037
    • Ver perfil
Re: Problema com apt-get update
« Resposta #68 Online: 28 de Outubro de 2013, 19:52 »
Que saga mais doida heheehe....kernel 2.6 no ubuntu 12.04???

no 12.04 como ja foi reportado, e 3.2 no lançamento e na ultima versao 3.8 no 12.04.3

vou deixara minha sources aqui(12.04.3) para comparação;

# deb cdrom:[Ubuntu 12.04.2 LTS _Precise Pangolin_ - Release amd64 (20130615)]/ dists/precise/restricted/binary-i386/
# deb cdrom:[Ubuntu 12.04.2 LTS _Precise Pangolin_ - Release amd64 (20130615)]/ precise main restricted
deb-src http://archive.ubuntu.com/ubuntu precise main restricted #Added by software-properties

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://br.archive.ubuntu.com/ubuntu/ precise main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ precise restricted main multiverse universe #Added by software-properties

## Major bug fix updates produced after the final release of the
## distribution.
deb http://br.archive.ubuntu.com/ubuntu/ precise-updates main restricted
deb-src http://br.archive.ubuntu.com/ubuntu/ precise-updates restricted main multiverse universe #Added by software-properties

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ precise universe
deb http://br.archive.ubuntu.com/ubuntu/ precise-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://br.archive.ubuntu.com/ubuntu/ precise multiverse
deb http://br.archive.ubuntu.com/ubuntu/ precise-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://br.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse
deb-src http://br.archive.ubuntu.com/ubuntu/ precise-backports main restricted universe multiverse #Added by software-properties

deb http://security.ubuntu.com/ubuntu precise-security main restricted
deb-src http://security.ubuntu.com/ubuntu precise-security restricted main multiverse universe #Added by software-properties
deb http://security.ubuntu.com/ubuntu precise-security universe
deb http://security.ubuntu.com/ubuntu precise-security multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
deb http://archive.canonical.com/ubuntu precise partner
deb-src http://archive.canonical.com/ubuntu precise partner

## This software is not part of Ubuntu, but is offered by third-party
## developers who want to ship their latest software.
deb http://extras.ubuntu.com/ubuntu precise main
deb-src http://extras.ubuntu.com/ubuntu precise main
\\\\\\\\Apostilas Dicas e Guias do Ubuntu\\\\\\\\\> http://ubuntuforum-br.org/index.php/topic,79368.msg440997.html#msg440997

Offline vicktorjunior

  • Usuário Ubuntu
  • *
  • Mensagens: 46
  • Um ex-windows user, tentando viver no mundo "open"
    • Ver perfil
Re: Problema com apt-get update
« Resposta #69 Online: 28 de Outubro de 2013, 21:26 »
Boa noite pessoal.

Agradeço a todos que responderam e me ajudaram nesta saga maluca.
Com o auxílio de todos por aqui e, via skype, com o Arthur Bernardes, consegui resolver meu problema.

Infelizmente, a única saída para o que tinha sido feito era a formatação da minha partição HOME. Afinal, eu tinha atualizado da versão 10.10 para a 12.10 direto e isso acabou corrompendo inúmeros fatores da minha "nova" instalação.

Agradeço infinitamente à todos que ajudaram e, sempre que possível, ajudarei outras pessoas neste e em outros fóruns voltados ao Ubuntu. Um grande S.O. :)

Abraços,
Victor Júnior.
Não me siga, estou perdido.

Offline Arthur Bernardes

  • Usuário Ubuntu
  • *
  • Mensagens: 4.692
    • Ver perfil
Re: Problema com apt-get update [Resolvido]
« Resposta #70 Online: 28 de Outubro de 2013, 21:51 »
Que bom que conseguiu resolver amigo!! Fico feliz, sempre que precisar, eu e o Fórum estaremos à disposição em ajudar!! :)

Offline Pedro_Moreira

  • Usuário Ubuntu
  • *
  • Mensagens: 4
    • Ver perfil
Re: Problema com apt-get update [Resolvido]
« Resposta #71 Online: 30 de Dezembro de 2014, 14:09 »
Obrigado pessoal, este tópico me ajudou muito!